Bug 1191082 (CVE-2014-9660) - CVE-2014-9660 freetype: missing ENDCHAR NULL pointer dereference in the _bdf_parse_glyphs()
Summary: CVE-2014-9660 freetype: missing ENDCHAR NULL pointer dereference in the _bdf_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9660
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1191099 1197737 1197738 1197739 1197740
Blocks: 1191102
TreeView+ depends on / blocked
 
Reported: 2015-02-10 12:50 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:28 UTC (History)
4 users (show)

Fixed In Version: freetype 2.5.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 07:40:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0696 normal SHIPPED_LIVE Important: freetype security update 2015-03-17 21:58:07 UTC

Description Vasyl Kaigorodov 2015-02-10 12:50:37 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9660 to the following issue:

The _bdf_parse_glyphs function in bdf/bdflib.c in FreeType before 2.5.4 does not
properly handle a missing ENDCHAR record, which allows remote attackers to cause
a denial of service (NULL pointer dereference) or possibly have unspecified
other impact via a crafted BDF font.

http://code.google.com/p/google-security-research/issues/detail?id=188
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=af8346172a7b573715134f7a51e6c5c60fa7f2ab

Comment 1 Vasyl Kaigorodov 2015-02-10 12:55:53 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Fedora Update System 2015-02-19 18:01:14 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Tomas Hoger 2015-02-19 22:38:28 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43660

Issue was fixed upstream in 2.5.4.

A NULL pointer dereference issue, which can cause application using freetype to crash if specially-crafted BDF font is loaded.

Comment 4 Fedora Update System 2015-02-20 08:30:44 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-03-17 17:58:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0696 https://rhn.redhat.com/errata/RHSA-2015-0696.html


Note You need to log in before you can comment on or make changes to this bug.